Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.bridge.cli
Class CLIConfigurationErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              kieker.tools.bridge.cli.CLIConfigurationErrorException

All Implemented Interfaces:
  Serializable

    public class CLIConfigurationErrorException

extends Exception

This exception is used to encapsulate exceptions which occur during configuration in the CLI-server.

Since:
  1.8
Author:
  Reiner Jung
See Also:
  Serialized Form

Constructor Summary
`CLIConfigurationErrorException(String message)` Create an exception without an exception trail.
`CLIConfigurationErrorException(String message, Exception exception)` Create an exception with an exception trail.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CLIConfigurationErrorException

    public CLIConfigurationErrorException(String message)

  Create an exception without an exception trail.

  Parameters:
    `message` - The message to explain the exception

### CLIConfigurationErrorException

    public CLIConfigurationErrorException(String message,
                                          Exception exception)

  Create an exception with an exception trail.

  Parameters:
    `message` - The message to explain the exception
    `exception` - The exception which caused this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net